# JS Domainrobot API

![](https://github.com/InterNetX/js-domainrobot-sdk/workflows/Tests/badge.svg) ![https://www.npmjs.com/package/js-domainrobot-sdk](https://badge.fury.io/js/js-domainrobot-sdk.svg)

A node/js package for easy integration of the **Domainrobot API** powered by [InterNetX GmbH](https://internetx.com).

## Tests Code Coverage

```bash
=============================== Coverage summary ===============================
Statements   : 84.71% ( 421/497 )
Branches     : 66.03% ( 138/209 )
Functions    : 92.12% ( 152/165 )
Lines        : 85.19% ( 420/493 )
================================================================================
```

## Table of Contents

1. [Preamble](#preamble)
2. [Installation](#installation)
3. [Documentation](#documentation)
4. [Changelog](#changelog)
5. [Copyright and license](#copyright-and-license)

## Preamble

This node/js package can be used within every node project, including projects based on frameworks like [Express](https://expressjs.com/de/), [Adonis](https://adonisjs.com/), [feathers](https://feathersjs.com/) and many more.

We also provide a [typescript definition file](https://github.com/InterNetX/js-domainrobot-sdk/blob/master/index.d.ts).

**Note:** Feel free to contribute by creating pull requests or file an issue for bugs, questions and feature requests.

### Installation

```javascript
yarn add js-domainrobot-sdk

npm install js-domainrobot-sdk
```

## Documentation

In depth documentation and examples can be found here:

[https://internetx.github.io/js-domainrobot-sdk/](https://internetx.github.io/js-domainrobot-sdk/)

## Changelog

For a detailed changelog, see the [CHANGELOG.md](CHANGELOG.md) file.

## Copyright and license

MIT License

Copyright (c) 2021 InterNetX GmbH

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
